cygwin_split_path
Prev | Path conversion functions | Next

## Name

cygwin_split_path

## Synopsis

    #include <sys/cygwin.h>

`void cygwin_split_path (`const char * path, char * dir, char * file`)`;

## Description

Split a path into the directory and the file portions. Both `dir` and `file` are expected to point to buffers of sufficient size.

## Example

Example 2.2. Example use of cygwin_split_path

    char dir[200], file[100];
    cygwin_split_path("c:/foo/bar.c", dir, file);
    printf("dir=%s, file=%s\n", dir, file);

Prev | Up | Next
cygwin_posix_path_list_p | Home | Helper functions to change user context